%define upstream_name	 Gtk2
%define	upstream_version 1.2498

%define _default_patch_fuzz        2
%define Werror_cflags %nil

%define perl_glib_require 1.240
%define gtk_require 2.24.10
%define cairo_require 1.00
%define pango_require 1.220

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl module for the gtk+-2.x library
License:    LGPLv2+
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
Source0:    http://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.gz
Patch7:     Gtk2-gtk_exit.patch
Patch21:    Gtk2-1.038-xset_input_focus.patch
Patch23:    Gtk2-1.023-exception-trapping.patch 
Patch24:    relocations-2.patch
Patch25:    relocations-fixes.patch
Patch26:    Gtk2-perl-5.20.diff

BuildRequires: perl(Cairo) >= 1.0.0
BuildRequires: perl(ExtUtils::Depends) >= 0.300.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.30.0
BuildRequires: perl(Glib) >= 1.240.0
BuildRequires: perl(Pango) >= 1.220.0
BuildRequires: gtk+2-devel >= %gtk_require
BuildRequires: perl-devel
BuildRequires: perl-ExtUtils-Depends >= 0.300
BuildRequires: perl-ExtUtils-PkgConfig >= 1.03
BuildRequires: perl-Glib >= %perl_glib_require
BuildRequires: perl-Cairo >= %cairo_require
BuildRequires: perl-Pango >= %pango_require
# for test suite:
BuildRequires: fontconfig
BuildRequires: fonts-ttf-dejavu
BuildRequires: x11-server-xvfb >= 1.15.99.903-4
Requires:   gtk+2
Requires:   libgtk+2 => %(pkg-config --modversion gtk+-2.0||echo 2.24)
Requires:   perl-Glib >= %perl_glib_require
#	(misc) needed by /usr/lib/perl5/vendor_perl/5.8.7/i386-linux/Gtk2/Install/Files.pm
Requires:   perl-Cairo >= %cairo_require
Requires:   perl-Pango >= %pango_require
# required to avoid warnings when loading
Recommends:   canberra-gtk

# Be sure to update this list on any upstream change
Provides: perl(Gtk2)
Provides: perl(Gtk2::AboutDialog)
Provides: perl(Gtk2::AccelGroup)
Provides: perl(Gtk2::AccelLabel)
Provides: perl(Gtk2::AccelMap)
Provides: perl(Gtk2::Action)
Provides: perl(Gtk2::ActionGroup)
Provides: perl(Gtk2::Activatable)
Provides: perl(Gtk2::Adjustment)
Provides: perl(Gtk2::Alignment)
Provides: perl(Gtk2::Arrow)
Provides: perl(Gtk2::AspectFrame)
Provides: perl(Gtk2::Assistant)
Provides: perl(Gtk2::Bin)
Provides: perl(Gtk2::BindingSet)
Provides: perl(Gtk2::Box)
Provides: perl(Gtk2::Buildable)
Provides: perl(Gtk2::Builder)
Provides: perl(Gtk2::Button)
Provides: perl(Gtk2::ButtonBox)
Provides: perl(Gtk2::Calendar)
Provides: perl(Gtk2::CellEditable)
Provides: perl(Gtk2::CellLayout)
Provides: perl(Gtk2::CellRenderer)
Provides: perl(Gtk2::CellRendererAccel)
Provides: perl(Gtk2::CellRendererCombo)
Provides: perl(Gtk2::CellRendererPixbuf)
Provides: perl(Gtk2::CellRendererProgress)
Provides: perl(Gtk2::CellRendererSpin)
Provides: perl(Gtk2::CellRendererSpinner)
Provides: perl(Gtk2::CellRendererText)
Provides: perl(Gtk2::CellRendererToggle)
Provides: perl(Gtk2::CellView)
Provides: perl(Gtk2::CheckButton)
Provides: perl(Gtk2::CheckMenuItem)
Provides: perl(Gtk2::Clipboard)
Provides: perl(Gtk2::ColorButton)
Provides: perl(Gtk2::ColorSelection)
Provides: perl(Gtk2::ColorSelectionDialog)
Provides: perl(Gtk2::Combo)
Provides: perl(Gtk2::ComboBox)
Provides: perl(Gtk2::ComboBoxEntry)
Provides: perl(Gtk2::Container)
Provides: perl(Gtk2::Curve)
Provides: perl(Gtk2::Dialog)
Provides: perl(Gtk2::Dnd)
Provides: perl(Gtk2::DrawingArea)
Provides: perl(Gtk2::Editable)
Provides: perl(Gtk2::Entry)
Provides: perl(Gtk2::EntryBuffer)
Provides: perl(Gtk2::EntryCompletion)
Provides: perl(Gtk2::EventBox)
Provides: perl(Gtk2::Expander)
Provides: perl(Gtk2::FileChooser)
Provides: perl(Gtk2::FileChooserButton)
Provides: perl(Gtk2::FileChooserDialog)
Provides: perl(Gtk2::FileChooserWidget)
Provides: perl(Gtk2::FileFilter)
Provides: perl(Gtk2::FileSelection)
Provides: perl(Gtk2::Fixed)
Provides: perl(Gtk2::FontButton)
Provides: perl(Gtk2::FontSelection)
Provides: perl(Gtk2::Frame)
Provides: perl(Gtk2::GammaCurve)
Provides: perl(Gtk2::GC)
Provides: perl(Gtk2::Gdk)
Provides: perl(Gtk2::Gdk::Cairo)
Provides: perl(Gtk2::Gdk::Color)
Provides: perl(Gtk2::Gdk::Cursor)
Provides: perl(Gtk2::Gdk::Device)
Provides: perl(Gtk2::Gdk::Display)
Provides: perl(Gtk2::Gdk::DisplayManager)
Provides: perl(Gtk2::Gdk::Dnd)
Provides: perl(Gtk2::Gdk::Drawable)
Provides: perl(Gtk2::Gdk::Event)
Provides: perl(Gtk2::Gdk::GC)
Provides: perl(Gtk2::Gdk::Image)
Provides: perl(Gtk2::Gdk::Keys)
Provides: perl(Gtk2::Gdk::Pango)
Provides: perl(Gtk2::Gdk::Pixbuf)
Provides: perl(Gtk2::Gdk::PixbufLoader)
Provides: perl(Gtk2::Gdk::PixbufSimpleAnim)
Provides: perl(Gtk2::Gdk::Pixmap)
Provides: perl(Gtk2::Gdk::Property)
Provides: perl(Gtk2::Gdk::Region)
Provides: perl(Gtk2::Gdk::Rgb)
Provides: perl(Gtk2::Gdk::Screen)
Provides: perl(Gtk2::Gdk::Selection)
Provides: perl(Gtk2::Gdk::Types)
Provides: perl(Gtk2::Gdk::Visual)
Provides: perl(Gtk2::Gdk::Window)
Provides: perl(Gtk2::Gdk::X11)
Provides: perl(Gtk2::HandleBox)
Provides: perl(Gtk2::HBox)
Provides: perl(Gtk2::HButtonBox)
Provides: perl(Gtk2::HPaned)
Provides: perl(Gtk2::HRuler)
Provides: perl(Gtk2::HScale)
Provides: perl(Gtk2::HScrollbar)
Provides: perl(Gtk2::HSeparator)
Provides: perl(Gtk2::HSV)
Provides: perl(Gtk2::IconFactory)
Provides: perl(Gtk2::IconTheme)
Provides: perl(Gtk2::IconView)
Provides: perl(Gtk2::Image)
Provides: perl(Gtk2::ImageMenuItem)
Provides: perl(Gtk2::IMContext)
Provides: perl(Gtk2::IMContextSimple)
Provides: perl(Gtk2::IMMultiContext)
Provides: perl(Gtk2::InfoBar)
Provides: perl(Gtk2::InputDialog)
Provides: perl(Gtk2::Invisible)
Provides: perl(Gtk2::Item)
Provides: perl(Gtk2::ItemFactory)
Provides: perl(Gtk2::Label)
Provides: perl(Gtk2::Layout)
Provides: perl(Gtk2::LinkButton)
Provides: perl(Gtk2::List)
Provides: perl(Gtk2::ListItem)
Provides: perl(Gtk2::ListStore)
Provides: perl(Gtk2::Menu)
Provides: perl(Gtk2::MenuBar)
Provides: perl(Gtk2::MenuItem)
Provides: perl(Gtk2::MenuShell)
Provides: perl(Gtk2::MenuToolButton)
Provides: perl(Gtk2::MessageDialog)
Provides: perl(Gtk2::Misc)
Provides: perl(Gtk2::Notebook)
Provides: perl(Gtk2::Object)
Provides: perl(Gtk2::OffscreenWindow)
Provides: perl(Gtk2::OptionMenu)
Provides: perl(Gtk2::Orientable)
Provides: perl(Gtk2::PageSetup)
Provides: perl(Gtk2::Paned)
Provides: perl(Gtk2::PaperSize)
Provides: perl(Gtk2::Plug)
Provides: perl(Gtk2::PrintContext)
Provides: perl(Gtk2::PrintOperation)
Provides: perl(Gtk2::PrintOperationPreview)
Provides: perl(Gtk2::PrintSettings)
Provides: perl(Gtk2::ProgressBar)
Provides: perl(Gtk2::RadioAction)
Provides: perl(Gtk2::RadioButton)
Provides: perl(Gtk2::RadioMenuItem)
Provides: perl(Gtk2::RadioToolButton)
Provides: perl(Gtk2::Range)
Provides: perl(Gtk2::Rc)
Provides: perl(Gtk2::RecentAction)
Provides: perl(Gtk2::RecentChooser)
Provides: perl(Gtk2::RecentChooserDialog)
Provides: perl(Gtk2::RecentChooserMenu)
Provides: perl(Gtk2::RecentChooserWidget)
Provides: perl(Gtk2::RecentFilter)
Provides: perl(Gtk2::RecentManager)
Provides: perl(Gtk2::Ruler)
Provides: perl(Gtk2::Scale)
Provides: perl(Gtk2::ScaleButton)
Provides: perl(Gtk2::ScrolledWindow)
Provides: perl(Gtk2::Selection)
Provides: perl(Gtk2::SeparatorMenuItem)
Provides: perl(Gtk2::SeparatorToolItem)
Provides: perl(Gtk2::Show)
Provides: perl(Gtk2::SizeGroup)
Provides: perl(Gtk2::Socket)
Provides: perl(Gtk2::SpinButton)
Provides: perl(Gtk2::Spinner)
Provides: perl(Gtk2::Statusbar)
Provides: perl(Gtk2::StatusIcon)
Provides: perl(Gtk2::Stock)
Provides: perl(Gtk2::Style)
Provides: perl(Gtk2::Table)
Provides: perl(Gtk2::TearoffMenuItem)
Provides: perl(Gtk2::TextBuffer)
Provides: perl(Gtk2::TextBufferRichText)
Provides: perl(Gtk2::TextChildAnchor)
Provides: perl(Gtk2::TextIter)
Provides: perl(Gtk2::TextMark)
Provides: perl(Gtk2::TextTag)
Provides: perl(Gtk2::TextTagTable)
Provides: perl(Gtk2::TextView)
Provides: perl(Gtk2::ToggleAction)
Provides: perl(Gtk2::ToggleButton)
Provides: perl(Gtk2::ToggleToolButton)
Provides: perl(Gtk2::Toolbar)
Provides: perl(Gtk2::ToolButton)
Provides: perl(Gtk2::ToolItem)
Provides: perl(Gtk2::ToolItemGroup)
Provides: perl(Gtk2::ToolPalette)
Provides: perl(Gtk2::ToolShell)
Provides: perl(Gtk2::Tooltip)
Provides: perl(Gtk2::Tooltips)
Provides: perl(Gtk2::TreeDnd)
Provides: perl(Gtk2::TreeModel)
Provides: perl(Gtk2::TreeModelFilter)
Provides: perl(Gtk2::TreeModelSort)
Provides: perl(Gtk2::TreeSelection)
Provides: perl(Gtk2::TreeSortable)
Provides: perl(Gtk2::TreeStore)
Provides: perl(Gtk2::TreeView)
Provides: perl(Gtk2::TreeViewColumn)
Provides: perl(Gtk2::UIManager)
Provides: perl(Gtk2::VBox)
Provides: perl(Gtk2::VButtonBox)
Provides: perl(Gtk2::Viewport)
Provides: perl(Gtk2::VolumeButton)
Provides: perl(Gtk2::VPaned)
Provides: perl(Gtk2::VRuler)
Provides: perl(Gtk2::VScale)
Provides: perl(Gtk2::VScrollbar)
Provides: perl(Gtk2::VSeparator)
Provides: perl(Gtk2::Widget)
Provides: perl(Gtk2::Window)

%global __requires_exclude perl\\(Test::
%{?perl_default_filter}

%description
This module provides perl access to the gtk+-2.x library.

Gtk+ is the GIMP ToolKit (GTK+), a library for creating graphical user
interfaces for the X Window System.  GTK+ was originally written for the GIMP
(GNU Image Manipulation Program) image processing program, but is now used by
several other programs as well.

%package doc
Summary:    Gtk2 documentation
Group:      Documentation
BuildArch:  noarch

%description doc
This package contains documentation of the Gtk2 module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch7 -p0
%patch21 -p0 -b .tv
%patch23 -p0 -b .except
#%patch24 -p0 -b .reloc
#%patch25 -p0 -b .relocfix
perl Makefile.PL INSTALLDIRS=vendor
chmod 755 gtk-demo/*.pl examples/*.pl

%build
%make_build OPTIMIZE="%{optflags}"

%check
xvfb-run make test || :

%install
%make_install

%files
%doc AUTHORS LICENSE META.yml NEWS README TODO examples
%dir %{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}.pm
%{perl_vendorarch}/%{upstream_name}/*.pm
%{perl_vendorarch}/%{upstream_name}/*/*.pm
%{perl_vendorarch}/%{upstream_name}/Install
%{perl_vendorarch}/auto/*

%files doc
%doc gtk-demo examples
%{_mandir}/*/*
%dir %{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}/*.pod
%{perl_vendorarch}/%{upstream_name}/*/*.pod
%{perl_vendorarch}/%{upstream_name}/*/*/*.pod


%changelog
* Thu May 12 2016 tv <tv> 1.249.800-2.mga6
+ Revision: 1014126
- use std build macros
- fix running testsuite

* Tue Feb 02 2016 tv <tv> 1.249.800-1.mga6
+ Revision: 932965
- new release

* Tue Dec 01 2015 tv <tv> 1.249.700-1.mga6
+ Revision: 907449
- new release

* Thu Aug 13 2015 sander85 <sander85> 1.249.600-1.mga6
+ Revision: 864382
- update to 1.2496

* Thu Jun 25 2015 tv <tv> 1.249.500-4.mga6
+ Revision: 843529
- rebuild with soname-ified perl

* Tue Jun 23 2015 tv <tv> 1.249.500-3.mga6
+ Revision: 841028
- ignore testsuite faillure

  + sander85 <sander85>
    - Rebuild for perl 5.22

* Wed Feb 04 2015 luigiwalser <luigiwalser> 1.249.500-2.mga5
+ Revision: 813432
- rebuild to match mga4 release tag

* Sat Jan 31 2015 tv <tv> 1.249.500-1.mga5
+ Revision: 812906
- new release

* Sat Oct 18 2014 umeabot <umeabot> 1.249.200-5.mga5
+ Revision: 788005
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.249.200-3.mga5
+ Revision: 732235
- add exclude

* Sun Sep 21 2014 wally <wally> 1.249.200-2.mga5
+ Revision: 707652
- add manual provides (from Fedora)

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Thu Jul 03 2014 tv <tv> 1.249.200-1.mga5
+ Revision: 642675
- new release
- new release

* Thu Jun 26 2014 tv <tv> 1.249.100-4.mga5
+ Revision: 639903
- re-enable test suite with fixed xvfb

* Thu Jun 26 2014 tv <tv> 1.249.100-3.mga5
+ Revision: 639898
- temporary disable test suite
- perl-5.20 fixes from git

* Tue Jun 03 2014 tv <tv> 1.249.100-2.mga5
+ Revision: 632064
- rebuild for new perl

* Tue Apr 29 2014 tv <tv> 1.249.100-1.mga5
+ Revision: 618868
- new release

* Mon Dec 16 2013 tv <tv> 1.249.0-2.mga4
+ Revision: 557307
- try to reenable testsuite

* Sat Dec 14 2013 tv <tv> 1.249.0-1.mga4
+ Revision: 556792
- new release

* Mon Oct 21 2013 umeabot <umeabot> 1.248.0-2.mga4
+ Revision: 538372
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 tv <tv> 1.248.0-1.mga4
+ Revision: 489482
- new release

* Wed May 29 2013 tv <tv> 1.247.0-2.mga4
+ Revision: 429933
- temp build fix due to BS
- new release
- require gtk+2 version used to compile

* Tue Feb 19 2013 tv <tv> 1.246.0-5.mga3
+ Revision: 399462
- bump require on Glib
- drop old mdk-9.2 conflict tags

* Sun Feb 10 2013 tv <tv> 1.246.0-4.mga3
+ Revision: 397759
- fix license

* Sun Jan 13 2013 umeabot <umeabot> 1.246.0-3.mga3
+ Revision: 367869
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 tv <tv> 1.246.0-2.mga3
+ Revision: 328608
- new release

* Wed Oct 10 2012 jquelin <jquelin> 1.245.0-2.mga3
+ Revision: 304080
- fix rpm group

* Tue Aug 07 2012 tv <tv> 1.245.0-1.mga3
+ Revision: 279650
- new release

* Fri Aug 03 2012 tv <tv> 1.244.0-3.mga3
+ Revision: 278324
- rebuild with compressed debug info

* Thu Aug 02 2012 tv <tv> 1.244.0-2.mga3
+ Revision: 277897
- rebuild with mini debug info
- drop decade old perl-GTK2 obsolete tag

* Wed May 30 2012 tv <tv> 1.244.0-1.mga3
+ Revision: 251783
- new release

* Wed May 30 2012 jquelin <jquelin> 1.242.0-3.mga3
+ Revision: 250698
- rebuild for perl 5.16

* Mon Mar 26 2012 tv <tv> 1.242.0-2.mga2
+ Revision: 226819
- bump required version so that live upgrade works smoothly after priorty
  upgrade of perl, perl-Gtk2 for rpmdrake or gurpmi (mga#5066)

* Mon Jan 23 2012 tv <tv> 1.242.0-1.mga2
+ Revision: 200381
- new release

* Mon Nov 21 2011 tv <tv> 1.241.0-1.mga2
+ Revision: 170187
- adjust file list
- new release

* Fri Oct 14 2011 jquelin <jquelin> 1.240.0-1.mga2
+ Revision: 155067
- update to 1.240

* Mon Oct 03 2011 tv <tv> 1.232.0-1.mga2
+ Revision: 151274
- bump Glib require
- new release
- drop patch 0 (merged)
- new release

  + fwang <fwang>
    - rebuild

* Sun Jun 12 2011 sander85 <sander85> 1.230.0-6.mga2
+ Revision: 104353
- Rebuild for perl 5.14

* Thu May 26 2011 ennael <ennael> 1.230.0-5.mga1
+ Revision: 100524
- fix glib2 version for require (#1432)

* Wed Mar 23 2011 blino <blino> 1.230.0-4.mga1
+ Revision: 75768
- fix #30: cope with the rename of the keysym defines in gtk+ 2.22 (from upstream git, stable branch)

* Sun Jan 23 2011 jquelin <jquelin> 1.230.0-3.mga1
+ Revision: 33796
- mageia rebuild
- imported package perl-Gtk2

